% This is the 2nd-level estimation for RA
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
data=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
npt=4;            % this is the number of problem types (1 is PC, 2 is Allocation, 3 is LC, 4 is Price List)
fpt=4;            % first problem type (PC etc)
lpt=4;            % last problem type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if data(k,1)==3 || data(k,1)==10 || data(k,1)==20 || data(k,1)==22 || data(k,1)==26 || data(k,1)==29 || data(k,1)==35 || data(k,1)==36....
            || data(k,1)==37 || data(k,1)==45 || data(k,1)==49 || data(k,1)==52 || data(k,1)==53 || data(k,1)==54 || data(k,1)==55....
            || data(k,1)==60 || data(k,1)==62 || data(k,1)==65 || data(k,1)==67 || data(k,1)==81 || data(k,1)==83 || data(k,1)==85....
            || data(k,1)==89 || data(k,1)==91 || data(k,1)==92 || data(k,1)==94 || data(k,1)==96
        %Outliers for Allo || data(k,1)==21 || data(k,1)==30 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73 
        data(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fpt:1:lpt
    if ptn==1 %PC
        % r for PC
        clf; % r for RREU RRRD
        plot([-0.5 1.5],[-0.5 1.5]); 
        hold on
        x=data(:,2);
        y=data(:,4);
        plot(x,y,'.');
        title('r for RREU and RRRD in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for RREU RRRD in PC.png');
        
        clf; % r for RREU AREU
        x=data(:,2);
        y=data(:,7);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for RREU AREU in PC.png');
        
        clf; % r for RREU ARRD
        x=data(:,2);
        y=data(:,9);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for RREU ARRD in PC.png');
        
        clf; % r for RRRD AREU
        x=data(:,4);
        y=data(:,7);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Pairwise Choices');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for RRRD AREU in PC.png');
        
        clf; % r for RRRD ARRD
        x=data(:,4);
        y=data(:,9);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Pairwise Choices');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for RRRD ARRD in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for AREU ARRD
        hold on
        x=data(:,7);
        y=data(:,9);
        plot(x,y,'.');
        title('r for AREU and ARRD in Pairwise Choices');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/r for AREU ARRD in PC.png');
        % End r for PC
        
        % s for PC
        clf;
        plot([0 30],[0 30]); % s for RREU RRRD
        hold on
        x=data(:,3);
        y=data(:,6);
        plot(x,y,'.');
        title('s for RREU and RRRD in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for RREU RRRD in PC.png');
        
        clf; % s for RREU AREU
        x=data(:,3);
        y=data(:,8);
        b=regress(y,x);
        plot([0 10],[0*b 10*b]); 
        axis([0, 10, 0, 10]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for RREU AREU in PC.png');
        
        clf; % s for RREU ARRD
        x=data(:,3);
        y=data(:,11);
        b=regress(y,x);
        plot([0 10],[0*b 10*b]); 
        axis([0, 10, 0, 10]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for RREU ARRD in PC.png');
        
        clf; % s for RRRD AREU
        x=data(:,6);
        y=data(:,8);
        b=regress(y,x);
        plot([0 30],[0*b 30*b]); 
        axis([0, 30, 0, 30]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Pairwise Choices');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for RRRD AREU in PC.png');
        
        clf; % s for RRRD ARRD
        x=data(:,6);
        y=data(:,11);
        b=regress(y,x);
        plot([0 30],[0*b 30*b]); 
        axis([0, 30, 0, 30]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Pairwise Choices');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for RRRD ARRD in PC.png');
        
        clf; % s for AREU ARRD
        plot([0 1],[0 1]); 
        hold on
        x=data(:,8);
        y=data(:,11);
        plot(x,y,'.');
        title('s for AREU and ARRD in Pairwise Choices');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/s for AREU ARRD in PC.png');
        % End s for PC
        
        % g for PC
        clf; % g for RRRD ARRD
        x=data(:,5);
        y=data(:,10);
        b=regress(y,x);
        plot([0 5],[0*b 5*b]); 
        axis([0, 5, 0, 5]);
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Pairwise Choices');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/PC/g for RRRD ARRD in PC.png');
        % End g for PC

    elseif ptn==2
        % r for ALLO
        clf; % r for RREU RRRD
        plot([0 90],[0 90]); 
        hold on
        x=data(:,12);
        y=data(:,14);
        plot(x,y,'.');
        title('r for RREU and RRRD in Allocation');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for RREU RRRD in ALLO.png');
        
        clf; % r for RREU AREU
        x=data(:,12);
        y=data(:,17);
        b=regress(y,x);
        plot([0 90],[0*b 90*b]); 
        axis([0, 90, 0, 90]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Allocation');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for RREU AREU in ALLO.png');
        
        clf;% r for RREU ARRD
        x=data(:,12);
        y=data(:,19);
        b=regress(y,x);
        plot([0 90],[0*b 90*b]); 
        axis([0, 90, 0, 90]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Allocation');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for RREU ARRD in ALLO.png');
        
        clf; % r for RRRD AREU
        x=data(:,14);
        y=data(:,17);
        b=regress(y,x);
        plot([0 70],[0*b 70*b]); 
        axis([0, 70, 0, 70]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Allocation');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for RRRD AREU in ALLO.png');
        
        clf; % r for RRRD ARRD
        x=data(:,14);
        y=data(:,19);
        b=regress(y,x);
        plot([0 70],[0*b 70*b]); 
        axis([0, 70, 0, 70]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Allocation');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for RRRD ARRD in ALLO.png');
        
        clf; % r for AREU ARRD
        plot([0 2],[0 2]); 
        hold on
        x=data(:,17);
        y=data(:,19);
        plot(x,y,'.');
        title('r for AREU and ARRD in Allocation');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/r for AREU ARRD in ALLO.png');
        % End r for ALLO
        
        % s for ALLO
        clf;
        plot([0 7],[0 7]); % s for RREU RRRD
        hold on
        x=data(:,13);
        y=data(:,16);
        plot(x,y,'.');
        title('s for RREU and RRRD in Allocation');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for RREU RRRD in ALLO.png');
        
        clf; % s for RREU AREU
        x=data(:,13);
        y=data(:,18);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]); 
        axis([0, 7, 0, 7]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Allocation');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for RREU AREU in ALLO.png');
        
        clf; % s for RREU ARRD
        x=data(:,13);
        y=data(:,21);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]); 
        axis([0, 7, 0, 7]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Allocation');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for RREU ARRD in ALLO.png');
        
        clf; % s for RRRD AREU
        x=data(:,16);
        y=data(:,18);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]); 
        axis([0, 7, 0, 7]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Allocation');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for RRRD AREU in ALLO.png');
        
        clf; % s for RRRD ARRD
        x=data(:,16);
        y=data(:,21);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]); 
        axis([0, 7, 0, 7]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Allocation');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for RRRD ARRD in ALLO.png');
        
        clf; % s for AREU ARRD
        plot([0 7],[0 7]); 
        hold on
        x=data(:,18);
        y=data(:,21);
        plot(x,y,'.');
        title('s for AREU and ARRD in Allocation');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/s for AREU ARRD in ALLO.png');
        % End s for ALLO
        
        % g for ALLO
        clf; % g for RRRD ARRD
        x=data(:,15);
        y=data(:,20);
        b=regress(y,x);
        plot([0 12],[0*b 12*b]); 
        axis([0, 12, 0, 12]);
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Allocation');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/ALLO/g for RRRD ARRD in ALLO.png');
        % End g for ALLO
        
    elseif ptn==3
        % r for LC
        clf; % r for RREU RRRD
        plot([-6 8],[-6 8]); 
        hold on
        x=data(:,22);
        y=data(:,24);
        plot(x,y,'.');
        title('r for RREU and RRRD in LC');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for RREU RRRD in LC.png');
        
        clf; % r for RREU AREU
        x=data(:,22);
        y=data(:,27);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); 
        axis([-6, 8, -6, 8]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in LC');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for RREU AREU in LC.png');
        
        clf; % r for RREU ARRD
        x=data(:,22);
        y=data(:,29);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); 
        axis([-6, 8, -6, 8]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in LC');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for RREU ARRD in LC.png');
        
        clf; % r for RRRD AREU
        x=data(:,24);
        y=data(:,27);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]);
        axis([-1, 6, -1, 6]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in LC');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for RRRD AREU in LC.png');
        
        clf; % r for RRRD ARRD
        x=data(:,24);
        y=data(:,29);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]);
        axis([-1, 6, -1, 6]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in LC');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for RRRD ARRD in LC.png');
        
        clf; % r for AREU ARRD
        plot([-1 3],[-1 3]);
        hold on
        x=data(:,27);
        y=data(:,29);
        plot(x,y,'.');
        title('r for AREU and ARRD in LC');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/r for AREU ARRD in LC.png');
        % End r for LC
        
        % s for LC
        clf; % s for RREU RRRD
        plot([0 1.5],[0 1.5]);
        hold on
        x=data(:,23);
        y=data(:,26);
        plot(x,y,'.');
        title('s for RREU and RRRD in LC');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for RREU RRRD in LC.png');
        
        clf; % s for RREU AREU
        x=data(:,23);
        y=data(:,28);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in LC');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for RREU AREU in LC.png');
        
        clf; % s for RREU ARRD
        x=data(:,23);
        y=data(:,31);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in LC');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for RREU ARRD in LC.png');
        
        clf; % s for RRRD AREU
        x=data(:,26);
        y=data(:,28);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in LC');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for RRRD AREU in LC.png');
        
        clf; % s for RRRD ARRD
        x=data(:,26);
        y=data(:,31);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in LC');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for RRRD ARRD in LC.png');
        
        clf; % s for AREU ARRD
        plot([0 1.5],[0 1.5]); 
        hold on
        x=data(:,28);
        y=data(:,31);
        plot(x,y,'.');
        title('s for AREU and ARRD in LC');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/s for AREU ARRD in LC.png');
        % End s for LC
        
        % g for LC
        clf; % g for RRRD ARRD
        x=data(:,25);
        y=data(:,30);
        b=regress(y,x);
        plot([0 14],[0*b 14*b]); 
        axis([0, 14, 0, 14]); 
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in LC');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/LC/g for RRRD ARRD in LC.png');
        % End g for LC
        
    elseif ptn==4
        % r for PL
        clf; % r for RREU RRRD
        plot([-1 1],[-1 1]); 
        hold on
        x=data(:,32);
        y=data(:,34);
        plot(x,y,'.');
        title('r for RREU and RRRD in Lists');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for RREU RRRD in PL.png');
        
        clf; % r for RREU AREU
        x=data(:,32);
        y=data(:,37);
        b=regress(y,x);
        plot([-20 100],[-20*b 100*b]);
        axis([-20, 100, -20, 100]); 
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Lists');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for RREU AREU in PL.png');
        
        clf; % r for RREU ARRD
        x=data(:,32);
        y=data(:,39);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); 
        axis([-10, 90, -10, 90]); 
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Lists');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for RREU ARRD in PL.png');
        
        clf; % r for RRRD AREU
        x=data(:,34);
        y=data(:,37);
        b=regress(y,x);
        plot([-20 100],[-20*b 100*b]);
        axis([-20, 100, -20, 100]); 
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Lists');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for RRRD AREU in PL.png');
        
        clf; % r for RRRD ARRD
        x=data(:,34);
        y=data(:,39);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); 
        axis([-10, 90, -10, 90]); 
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Lists');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for RRRD ARRD in PL.png');
        
        clf; % r for AREU ARRD
        plot([-20 100],[-20 100]);
        hold on
        x=data(:,37);
        y=data(:,39);
        plot(x,y,'.');
        title('r for AREU and ARRD in Lists');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/r for AREU ARRD in PL.png');
        % End r for PL
        
        % s for PL
        clf; % s for RREU RRRD
        plot([0 7],[0 7]);
        hold on
        x=data(:,33);
        y=data(:,36);
        plot(x,y,'.');
        title('s for RREU and RRRD in Lists');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for RREU RRRD in PL.png');
        
        clf; % s for RREU AREU
        x=data(:,33);
        y=data(:,38);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Lists');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for RREU AREU in PL.png');
        
        clf; % s for RREU ARRD
        x=data(:,33);
        y=data(:,41);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Lists');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for RREU ARRD in PL.png');
        
        clf; % s for RRRD AREU
        x=data(:,36);
        y=data(:,38);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Lists');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for RRRD AREU in PL.png');
        
        clf; % s for RRRD ARRD
        x=data(:,36);
        y=data(:,41);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Lists');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for RRRD ARRD in PL.png');
        
        clf; % s for AREU ARRD
        plot([0 1.5],[0 1.5]);
        hold on
        x=data(:,38);
        y=data(:,41);
        plot(x,y,'.');
        title('s for AREU and ARRD in Lists');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/s for AREU ARRD in PL.png');
        % End s for PL
        
        % g for PL
        clf; % g for RRRD ARRD
        x=data(:,35);
        y=data(:,40);
        b=regress(y,x);
        plot([0 5],[0*b 5*b]);
        axis([0, 5, 0, 5]); 
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Lists');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Lists/g for RRRD ARRD in PL.png');
        % End g for PL
    end


end
resultspath=[pwd,'\estimation results\'];
toc