% This is our first attempt at estimating using 
% CARE: the natural log in Matlab is log() in GAUSS it is ln()
tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment/trialPC;
data1=csvread('data from experiment/PcAll.txt');
data2=csvread('data from experiment/AlloAll.txt');
data3=csvread('data from experiment/BDMAll.txt');
data4=csvread('data from experiment/PLAll.txt');


ns=96;            % number of subjects.
fs=50;			  % first subject to be estimated.
ls=51;            % last subject to be estimated.
net=4;            % number of estimated types. (RR EU, RR RD, AR EU, AR RD)
fet=4;            % first estimated type.
lastet=4;         % last estimated type. 
npt=4;            % this is the number of problem types (1 is PC, 2 is Allocation, 3 is BDM, 4 is Price List)
fpt=1;            % first problem type (PC etc)
lpt=1;            % last problem type
np1=80;           % number of pairwise choice problems.
np2=81;           % number of allocation questions.
np3=54;           % number of BDM questions.
np4=48;           % number of PL questions.
estimates=zeros(ns,41);    % results recording the estimates
logliks=zeros(ns,17); % results recording the log-likelihoods
% Pairwise Choice

% LET ME GET THE ORDER CORRECT: WITH RD IT IS r, g and s

% the preference and utility functions are in the following order
% 1 RR EU
% 2 RR RD
% 3 AR EU
% 4 AR RD

 options = psoptimset('MaxIter',100000000);
 
 for sn=fs:1:ls            % Loop from first subject for estimation to last subject for estimation
     
    estimates(sn,1)=sn;   % first column for estimates is subject number
    logliks(sn,1)=sn;     % first column for log-liks is subject number
    disp(sn);
    
    for ptn=fpt:1:lpt
        if ptn==1  % PC data
           clear d x p y q
           d=data1(1+(sn-1)*np1:sn*np1,3); %decision, get the data1 from PcAll column3, 1=left, 2=right
           x(:,1)=data1(1+(sn-1)*np1:sn*np1,4); %get the first column of x from PcAll column4
           p(:,1)=0.1*data1(1+(sn-1)*np1:sn*np1,5); %get p from PcAll column5, divided by 10 (it was multiplied by 10 in PcAll)
           x(:,2)=data1(1+(sn-1)*np1:sn*np1,6); % get the second column of x from PcAll column6 
           y(:,1)=data1(1+(sn-1)*np1:sn*np1,7); % get the first column of y from PcAll column7
           q(:,1)=0.1*data1(1+(sn-1)*np1:sn*np1,8); %get q from PcAll column8, divided by 10 (it was multiplied by 10 in PcAll)
           y(:,2)=data1(1+(sn-1)*np1:sn*np1,9); %get the second column of y from PcAll column9
           
            for k=fet:1:lastet
                
                if k==1     % RR EU
                   clear lb(1) ub(1) st(1) lb(4) ub(4) st(4) lbs ubs pars0
                   BoundsPC
                   lbs=[lb(1),lb(4)];    %Lower bounds on r and s
                   ubs=[ub(1),ub(4)];    %Upper bounds on r and s 
                   pars0=[st(1),st(4)];  %Start values of r and s
                   [xval,fval,exitflag]=patternsearch(@(z) ll11(z,d,x,p,y,q),pars0,[],[],[],[],lbs,ubs,[],options);
                   estimates(sn,2)=xval(1);
                   estimates(sn,3)=xval(2);
                   logliks(sn,2)=-fval;
                end % of RR EU
                
                if k==2     % RR RD
                   clear lb(1) ub(1) st(1) lb(3) ub(3) st(3) lb(4) ub(4) st(4) lbs ubs pars0
                   BoundsPC
                   lbs=[lb(1),lb(3),lb(4)];    %Lower bounds on r, g and s
                   ubs=[ub(1),ub(3),ub(4)];    %Upper bounds on r, g and s
                   pars0=[st(1),st(3),st(4)];  %Start values of r, g and s
                   [xval,fval,exitflag]=patternsearch(@(z) ll12(z,d,x,p,y,q),pars0,[],[],[],[],lbs,ubs,[],options);
                   estimates(sn,4)=xval(1);
                   estimates(sn,5)=xval(2);
                   estimates(sn,6)=xval(3);
                   logliks(sn,3)=-fval;
                end % of RR RD
                
                if k==3     % AR EU
                   clear lb(2) ub(2) st(2) lb(4) ub(4) st(4) lbs ubs pars0
                   BoundsPC
                   lbs=[lb(2),lb(4)];     %Lower bounds on r and s
                   ubs=[ub(2),ub(4)];     %Upper bounds on r and s
                   pars0=[st(2),st(4)];   %Start values of r and s
                   [xval,fval,exitflag]=patternsearch(@(z) ll13(z,d,x,p,y,q),pars0,[],[],[],[],lbs,ubs,[],options);
                   estimates(sn,7)=xval(1);
                   estimates(sn,8)=xval(2);
                   logliks(sn,4)=-fval;
                end % of AR EU
                
                if k==4    %AR RD
                   clear lb(2) ub(2) st(2) lb(3) ub(3) st(3) lb(4) ub(4) st(4) lbs ubs pars0
                   BoundsPC
                   lbs=[lb(2),lb(3),lb(4)];     %Lower bounds on r, g and s
                   ubs=[ub(2),ub(3),ub(4)];     %Upper bounds on r, g and s
                   pars0=[st(2),st(3),st(4)];   %Start values of r, g and s
                   [xval,fval,exitflag]=patternsearch(@(z) ll14(z,d,x,p,y,q),pars0,[],[],[],[],lbs,ubs,[],options);
                   estimates(sn,9)=xval(1);
                   estimates(sn,10)=xval(2);
                   estimates(sn,11)=xval(3);
                   logliks(sn,5)=-fval;
                end % of AR RD

            end % of k loop, from let to lastet
            
        end % of PC data
        
        if ptn==2  % Allocation data
            clear m xa p e1 e2
            m=100;
		    xa=data2(1+(sn-1)*np2:sn*np2,3); % allocation to 1, from column 3
		    p=0.1*data2(1+(sn-1)*np2:sn*np2,5); % probability of 1, from column 5 divided by 10
		    e1=0.01*data2(1+(sn-1)*np2:sn*np2,6); % exchange rate on 1, from column 6 divided by 100
		    e2=0.01*data2(1+(sn-1)*np2:sn*np2,7); % exchange rate on 2, from column 7 divided by 100
            
            for k=fet:1:lastet
                
             if k==1     % RR EU
                clear lb(1) ub(1) st(1) lb(4) ub(4) st(4) lbs ubs pars0
                BoundsAllo
                lbs=[lb(1),lb(4)];    %Lower bounds on r and s
                ubs=[ub(1),ub(4)];    %Upper bounds on r and s 
                pars0=[st(1),st(4)];  %Start values of r and s
                [xval,fval,exitflag]=patternsearch(@(z) ll21(z,xa,p,e1,e2,m),pars0,[],[],[],[],lbs,ubs,[],options);
                estimates(sn,12)=xval(1);
                estimates(sn,13)=xval(2);
                logliks(sn,6)=-fval;
             end  % of RR EU
       
             if k==2     % RR RD
                clear lb(1) ub(1) st(1) lb(3) ub(3) st(3) lb(4) ub(4) st(4) lbs ubs pars0
                BoundsAllo
                lbs=[lb(1),lb(3),lb(4)];    %Lower bounds on r, g and s
                ubs=[ub(1),ub(3),ub(4)];    %Upper bounds on r, g and s
                pars0=[st(1),st(3),st(4)];  %Start values of r, g and s
                [xval,fval,exitflag]=patternsearch(@(z) ll22(z,xa,p,e1,e2,m),pars0,[],[],[],[],lbs,ubs,[],options);
                estimates(sn,14)=xval(1);
                estimates(sn,15)=xval(2);
                estimates(sn,16)=xval(3);
                logliks(sn,7)=-fval;
             end  % end of RR RD
        
             if k==3     % AR EU
                clear lb(2) ub(2) st(2) lb(4) ub(4) st(4) lbs ubs pars0
                BoundsAllo
                lbs=[lb(2),lb(4)];     %Lower bounds on r and s
                ubs=[ub(2),ub(4)];     %Upper bounds on r and s
                pars0=[st(2),st(4)];   %Start values of r and s
                [xval,fval,exitflag]=patternsearch(@(z) ll23(z,xa,p,e1,e2,m),pars0,[],[],[],[],lbs,ubs,[],options);
                estimates(sn,17)=xval(1);
                estimates(sn,18)=xval(2);
                logliks(sn,8)=-fval;
             end
    
             if k==4    %AR RD
                clear lb(2) ub(2) st(2) lb(3) ub(3) st(3) lb(4) ub(4) st(4) lbs ubs pars0
                BoundsAllo
                lbs=[lb(2),lb(3),lb(4)];     %Lower bounds on r, g and s
                ubs=[ub(2),ub(3),ub(4)];     %Upper bounds on r, g and s
                pars0=[st(2),st(3),st(4)];   %Start values of r, g and s
                [xval,fval,exitflag]=patternsearch(@(z) ll24(z,xa,p,e1,e2,m),pars0,[],[],[],[],lbs,ubs,[],options);
                estimates(sn,19)=xval(1);
                estimates(sn,20)=xval(2);
                estimates(sn,21)=xval(3);
                logliks(sn,9)=-fval;
            end
                
           end % of k loop, from let to lastet
            
        end % of Allocation data
        
        if ptn==3 %BDM Data
           clear sp x p y
           sp(:,1)=0.1*data3(1+(sn-1)*np3:sn*np3,3); %get the selling price from BDMAll column3,divided by 10
           x(:,1)=data3(1+(sn-1)*np3:sn*np3,4); %get outcome1 of lottery from BDMAll column4
           p(:,1)=0.1*data3(1+(sn-1)*np3:sn*np3,5); %get probility of outcome1 of lottery from BDMAll column5, divided by 10
           y(:,1)=data3(1+(sn-1)*np3:sn*np3,6); %get outcome2 of lottery from BDMAll column6

           for k=fet:1:lastet
               
               if k==1     % RR EU
                  BoundsBDM
                  lbs=[lb(1),lb(4)];    %Lower bounds on r and s
                  ubs=[ub(1),ub(4)];    %Upper bounds on r and s 
                  pars0=[st(1),st(4)];  %Start values of r and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll31(z,sp,x,p,y),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,22)=xval(1);
                  estimates(sn,23)=xval(2);
                  logliks(sn,10)=-fval;
               end % of RR EU
        
               if k==2     % RR RD
                  BoundsBDM
                  lbs=[lb(1),lb(3),lb(4)];    %Lower bounds on r, g and s
                  ubs=[ub(1),ub(3),ub(4)];    %Upper bounds on r, g and s
                  pars0=[st(1),st(3),st(4)];  %Start values of r, g and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll32(z,sp,x,p,y),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,24)=xval(1);
                  estimates(sn,25)=xval(2);
                  estimates(sn,26)=xval(3);
                  logliks(sn,11)=-fval;
              end % of RR RD
                
              if k==3     % AR EU
                 BoundsBDM
                 lbs=[lb(2),lb(4)];     %Lower bounds on r and s
                 ubs=[ub(2),ub(4)];     %Upper bounds on r and s
                 pars0=[st(2),st(4)];   %Start values of r and s
                 [xval,fval,exitflag]=patternsearch(@(z) ll33(z,sp,x,p,y),pars0,[],[],[],[],lbs,ubs,[],options);
                 estimates(sn,27)=xval(1);
                 estimates(sn,28)=xval(2);
                 logliks(sn,12)=-fval;
              end % of AR EU
                
              if k==4    %AR RD
                 BoundsBDM
                 lbs=[lb(2),lb(3),lb(4)];     %Lower bounds on r, g and s
                 ubs=[ub(2),ub(3),ub(4)];     %Upper bounds on r, g and s
                 pars0=[st(2),st(3),st(4)];   %Start values of r, g and s
                 [xval,fval,exitflag]=patternsearch(@(z) ll34(z,sp,x,p,y),pars0,[],[],[],[],lbs,ubs,[],options);
                 estimates(sn,29)=xval(1);
                 estimates(sn,30)=xval(2);
                 estimates(sn,31)=xval(3);
                 logliks(sn,13)=-fval;
              end % of AR RD
               
           end % of k loop, from let to lastet
            
        end % of BDM data
        
        if ptn==4 % PL Data
           clear x p y c
           x(:,1)=data4(1+(sn-1)*2*np4:sn*2*np4,3); % outcome1 of the lottery, column 3
           p(:,1)=0.1*data4(1+(sn-1)*2*np4:sn*2*np4,4); % probability of outcome1 of the lottery, column 4, divided by 10
           y(:,1)=data4(1+(sn-1)*2*np4:sn*2*np4,5); % outcome2 of the lottery, column 5
           c(:,1)=0.1*data4(1+(sn-1)*2*np4:sn*2*np4,6); % amount of the certainty, column 6, divided by 10
           
           for k=fet:1:lastet
               if k==1     % RR EU
                  BoundsPL
                  lbs=[lb(1),lb(4)];    %Lower bounds on r and s
                  ubs=[ub(1),ub(4)];    %Upper bounds on r and s 
                  pars0=[st(1),st(4)];  %Start values of r and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll41(z,x,p,y,c),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,32)=xval(1);
                  estimates(sn,33)=xval(2);
                  logliks(sn,14)=-fval;
               end  % of RR EU
               
               if k==2     % RR RD
                  BoundsPL
                  lbs=[lb(1),lb(3),lb(4)];    %Lower bounds on r, g and s
                  ubs=[ub(1),ub(3),ub(4)];    %Upper bounds on r, g and s
                  pars0=[st(1),st(3),st(4)];  %Start values of r, g and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll42(z,x,p,y,c),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,34)=xval(1);
                  estimates(sn,35)=xval(2);
                  estimates(sn,36)=xval(3);
                  logliks(sn,15)=-fval;
               end % of RR RD
               
               if k==3     % AR EU
                  BoundsPL
                  lbs=[lb(2),lb(4)];     %Lower bounds on r and s
                  ubs=[ub(2),ub(4)];     %Upper bounds on r and s
                  pars0=[st(2),st(4)];   %Start values of r and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll43(z,x,p,y,c),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,37)=xval(1);
                  estimates(sn,38)=xval(2);
                  logliks(sn,16)=-fval;
               end % of AR EU
                
               if k==4    %  AR RD
                  BoundsPL
                  lbs=[lb(2),lb(3),lb(4)];     %Lower bounds on r, g and s
                  ubs=[ub(2),ub(3),ub(4)];     %Upper bounds on r, g and s
                  pars0=[st(2),st(3),st(4)];   %Start values of r, g and s
                  [xval,fval,exitflag]=patternsearch(@(z) ll44(z,x,p,y,c),pars0,[],[],[],[],lbs,ubs,[],options);
                  estimates(sn,39)=xval(1);
                  estimates(sn,40)=xval(2);
                  estimates(sn,41)=xval(3);
                  logliks(sn,17)=-fval;
               end % of AR RD
               
           end % of k loop, from let to lastet
                  
        end % of PL Data
      
    end % end of ptn loop, from fpt to lpt
     
 end % of Loop from first subject for estimation to last subject for estimation
 
resultspath=[pwd,'\estimation results\'];
csvwrite([resultspath,'m_estimates.csv'],estimates);
csvwrite([resultspath,'m_logliks.csv'],logliks);
toc