function [lls,ll,eu,ed]=ll43(z,x,p,y,c)
% This is the log-likelihood function for AR EU
lbll=-10000;
np=size(p,1)/2;
ll=zeros(np,1);
ulu=zeros(np,1); % utility of the lottery, up(first line) of the switch point
ucu=zeros(np,1); % utility of the certainty, up(first line) of the switch point
uld=zeros(np,1); % utility of the lottery, down(second line) of teh switch point
ucd=zeros(np,1); % utility of the certainty, down(second line) of the switch point
eu=zeros(np,1); % error of the first line, to make ulu=ucu
ed=zeros(np,1); % error of the second line, to make uld=ucd
r=z(1);
s=z(2);
for pn=1:1:np %examine problem one after one
    if x(2*pn-1)>=0 % There is a switch point
        ulu(pn)=p(2*pn-1)*cara(x(2*pn-1),r)+(1-p(2*pn-1))*cara(y(2*pn-1),r); 
        ucu(pn)=cara(c(2*pn-1),r); 
        uld(pn)=p(2*pn)*cara(x(2*pn),r)+(1-p(2*pn))*cara(y(2*pn),r);
        ucd(pn)=cara(c(2*pn),r);
        
        eu(pn)=ucu(pn)-ulu(pn);  % this is utility of right minus utility of left
        ed(pn)=ucd(pn)-uld(pn);  % this is utility of right minus utility of left
        
        % ucd is either the same or larger than ucu
        % uld is either the same or less than ulu
        % it follows that ed is greater than eu
       
        ll(pn)=log(cdf('Normal', s*(ed(pn)),0,1)-cdf('Normal', s*(eu(pn)),0,1));
    end
    if x(2*pn-1)==-2 % In this case always right
        uld(pn)=p(2*pn)*cara(x(2*pn),r)+(1-p(2*pn))*cara(y(2*pn),r);
        ucd(pn)=cara(c(2*pn),r);
        ed(pn)=ucd(pn)-uld(pn);
        
        ll(pn)=log(cdf('Normal', s*(ed(pn)),0,1));
    end
    if x(2*pn-1)==-1 % In the case always left
        ulu(pn)=p(2*pn)*cara(x(2*pn),r)+(1-p(2*pn))*cara(y(2*pn),r); 
        ucu(pn)=cara(c(2*pn),r); 
        eu(pn)=ucu(pn)-ulu(pn);
        ll(pn)=log(1-cdf('Normal', s*(eu(pn)),0,1));
    end
    if ((isnan(ll(pn))) || (ll(pn)==-Inf))
        ll(pn)=lbll;
    end 
end
%because we need to maximize this but fmincon is for minimization so we
%need to minus it
lls=-sum(ll);
end

